Bug 186949 - Include fixes from gcc-3_4-branch in RHEL4 U4
Include fixes from gcc-3_4-branch in RHEL4 U4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-03-27 12:01 EST by Jakub Jelinek
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0509
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2006-03-27 12:01:29 EST
Introduction:
gcc-3_4-branch is these days a release branch, on which only important regression
bugfixes are allowed.  If a bug is not a regression from some older GCC release,
it needs to be really important bug fix.  The fixes on the branch are regression
tested by us as well as community.
While gcc-3_2-branch was still live, RHEL3 used to be updated from that branch
in every quarterly updates and similarly RHEL4 U1 contained fixes from gcc-3_4-branch.
Several of the fixes on gcc-3_4-branch (as well as before
on gcc-3_2-branch) were later on requested by our customers (including now at
RHEL4 U2 time).  If we leverage the community testing in addition to our own
testing, as opposed to maintaining just our own branch and spending weeks of time
finding and backporting bugfixes on our own, we save significant amount of time
and make our compiler more stable and more bugfree.  The vast majority
of bugfixes on the branch come with tests for the GCC testsuite and thus are
regression tested on all architectures we build the compiler on.

This bug has been created to comply with the 3ACK process.
Comment 4 Bob Johnson 2006-04-11 12:20:48 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 8 Red Hat Bugzilla 2006-08-10 17:30:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0509.html

Note You need to log in before you can comment on or make changes to this bug.